package com.qs.mp.common.enums;

import com.alibaba.fastjson.JSONObject;
import com.alibaba.fastjson.annotation.JSONType;
import com.baomidou.mybatisplus.annotation.IEnum;
import com.qs.mp.common.json.EnumValueDeserializer;

/**
 *
 * 盲票状态
 *
 */
@JSONType(deserializer = EnumValueDeserializer.class)
public enum TicketStatusEnum implements IEnum<Integer> {
  NOT_PAY(1, "未付款"),
  ACTIVATED(2, "已激活"),
  CASHED(3, "已兑奖"),
  PAYING(4, "付款中"),; // 线上订单创建后，盲票状态变更为付款中，防止并发

  private final int value;
  private final String desc;

  TicketStatusEnum(final int value, final String desc) {
    this.value = value;
    this.desc = desc;
  }

  @Override
  public Integer getValue() {
    return value;
  }

  /**
   * 重写toString，单个转化成json
   * @return
   */
  @Override
  public String toString() {
    JSONObject object = new JSONObject();
    object.put("value",value);
    object.put("desc", desc);
    return object.toString();
  }
}
