package com.qs.mp.admin.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 商品库实体类
 * @auther quanshu
 * @create 2022-03-07 20:43:44
 */
@TableName("mp_goods")
@Data
public class Goods implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "goods_id", type = IdType.INPUT)
  private String goodsId;

  /**
   * 商品标题
   */
  @TableField("title")
  private String title;

  /**
   * 商品类目ID
   */
  @TableField("category_id")
  private Long categoryId;

  /**
   * 商品图片
   */
  @TableField("pic_url")
  private String picUrl;

  /**
   * 详情
   */
  @TableField("description")
  private String description;

  /**
   * 原兑换价格
   */
  @TableField("origin_price")
  private Integer originPrice;

  /**
   * 现兑换价格
   */
  @TableField("exchange_price")
  private Integer exchangePrice;

  /**
   * 商品价值
   */
  @TableField("value")
  private Integer value;

  /**
   * 库存数量
   */
  @TableField("quantity")
  private Integer quantity;

  /**
   * 已兑换量
   */
  @TableField("exchanged_qty")
  private Integer exchangedQty;

  /**
   * 上架状态;上架/下架
   */
  @TableField("status")
  private String status;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
