package com.qs.mp.admin.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.TicketStatusEnum;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 盲票实体类
 * @auther quanshu
 * @create 2022-03-08 11:35:25
 */
@TableName("mp_ticket")
@Data
public class Ticket implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "ticket_id", type = IdType.INPUT)
  private String ticketId;

  /**
   * 盲票组ID
   */
  @TableField("box_id")
  private String boxId;

  /**
   * 盲票包ID
   */
  @TableField("pkg_id")
  private String pkgId;

  /**
   * 标题
   */
  @TableField("title")
  private String title;

  /**
   * 序列号
   */
  @TableField("serial_no")
  private String serialNo;

  /**
   * 面值
   */
  @TableField("face_price")
  private Integer facePrice;

  /**
   * 加密幸运数字
   */
  @TableField("cipher_lucky_num")
  private String cipherLuckyNum;

  /**
   * 明文幸运数字
   */
  @TableField("plain_lucky_num")
  private Integer plainLuckyNum;

  /**
   * 抽奖数字描述（json格式，包含数字、奖项）
   */
  @TableField("draw_num")
  private String drawNum;

  /**
   * 是否实体纸质票（0否1是）
   */
  @TableField("IS_PHYSICAL")
  private Integer isPhysical;

  /**
   * 盲票状态;1未付款、2已激活、3已兑奖、4付款中
   */
  @TableField("STATUS")
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private TicketStatusEnum status;

  /**
   * 创建时间
   */
  @TableField("CREATED_TIME")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("UPDATED_TIME")
  private Date updatedTime;


}
