package com.qs.mp.channel.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;
import lombok.Data;

/**
 * @describe 渠道佣金记录实体类
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 */
@TableName("mp_channel_commission")
@Data
public class ChannelCommission implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id" , type = IdType.AUTO)
  private Long id;

  /**
   * 渠道ID
   */
  @TableField("channel_id")
  private Long channelId;

  /**
   * 用户订单ID
   */
  @TableField("order_id")
  private String orderId;

  /**
   * 盲票ID
   */
  @TableField("ticket_id")
  private String ticketId;

  /**
   * 销售金额
   */
  @TableField("sale_amt")
  private Integer saleAmt;

  /**
   * 参与分佣的销售金额比例
   */
  @TableField("sale_comm_rate")
  private Integer saleCommRate;

  /**
   * 参与分佣的销售金额
   */
  @TableField("sale_comm_amt")
  private Integer saleCommAmt;

  /**
   * 佣金比例
   */
  @TableField("comm_rate")
  private BigDecimal commRate;

  /**
   * 佣金金额
   */
  @TableField("comm_amt")
  private Integer commAmt;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
