package com.qs.mp.channel.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.ChannelOrderStatusEnum;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 经销商盲票采购订单实体类
 * @auther quanshu
 * @create 2022-03-02 12:22:24
 */
@TableName("mp_channel_order")
@Data
public class ChannelOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "order_id" , type = IdType.INPUT)
  private String orderId;

  /**
   * 渠道ID
   */
  @TableField("channel_id")
  private Long channelId;

  /**
   * 标题
   */
  @TableField("title")
  private String title;

  /**
   * 订单金额
   */
  @TableField("order_amt")
  private Integer orderAmt;

  /**
   * 优惠金额
   */
  @TableField("discount_amt")
  private Integer discountAmt;

  /**
   * 运费金额
   */
  @TableField("freight_amt")
  private Integer freightAmt;

  /**
   * 实付金额
   */
  @TableField("pay_amt")
  private Integer payAmt;

  /**
   * 订单状态，-1 已取消 0:待付款 1:待发货 2:待收货 3:已完成
   */
  @TableField("status")
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private ChannelOrderStatusEnum status;

  /**
   * 盲票总包数
   */
  @TableField("pkg_num")
  private Integer pkgNum;

  /**
   * 备注
   */
  @TableField("memo")
  private String memo;

  /**
   * 收货人
   */
  @TableField("receiver")
  private String receiver;

  /**
   * 收货人电话
   */
  @TableField("tel")
  private String tel;

  /**
   * 收货地址-省
   */
  @TableField("province")
  private String province;

  /**
   * 收货地址-市
   */
  @TableField("city")
  private String city;

  /**
   * 收货地址-区
   */
  @TableField("area")
  private String area;

  /**
   * 收货地址-详细
   */
  @TableField("address")
  private String address;

  /**
   * 物流ID
   */
  @TableField("delivery_id")
  private String deliveryId;

  /**
   * 物流单号
   */
  @TableField("delivery_flow_id")
  private String deliveryFlowId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
