package com.qs.mp.channel.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.LambdaUpdateWrapper;
import com.qs.mp.channel.domain.ChannelAddr;
import com.qs.mp.channel.mapper.ChannelAddrMapper;
import com.qs.mp.channel.service.IChannelAddrService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

/**
 * <p>
 * 渠道配送地址 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-02
 */
@Service
public class ChannelAddrServiceImpl extends ServiceImpl<ChannelAddrMapper, ChannelAddr> implements IChannelAddrService {

  @Override
  public ChannelAddr getDefaultChannelAddr(Long channelId) {
    return getOne(new LambdaQueryWrapper<ChannelAddr>().eq(ChannelAddr::getChannelId, channelId)
        .eq(ChannelAddr::getCommonAddr, 1));
  }

  @Override
  @Transactional
  public boolean updateDefaultChannelAddr(Long addrId, Long channelId) {
    update(new LambdaUpdateWrapper<ChannelAddr>().set(ChannelAddr::getCommonAddr, 0)
        .eq(ChannelAddr::getChannelId, channelId).eq(ChannelAddr::getCommonAddr, 1));
    return update(new LambdaUpdateWrapper<ChannelAddr>().set(ChannelAddr::getCommonAddr, 1)
        .eq(ChannelAddr::getChannelId, channelId).eq(ChannelAddr::getAddrId, addrId));
  }

  @Override
  public boolean removeChannelAddrByUserId(Long addrId, Long channelId) {
    return remove(new LambdaQueryWrapper<ChannelAddr>()
        .eq(ChannelAddr::getChannelId, channelId).eq(ChannelAddr::getAddrId, addrId));
  }

  @Override
  public ChannelAddr getChannelAddrByUserId(Long addrId, Long channelId) {
    return getOne(new LambdaQueryWrapper<ChannelAddr>()
        .eq(ChannelAddr::getChannelId, channelId).eq(ChannelAddr::getAddrId, addrId));
  }
}
