package com.qs.mp.framework.redis;

import java.util.Map;

public class RedisKeyBuilder {
    
    public static String build(RedisKey redisKey, Map<String, String> params) {
        String key = redisKey.keyTemplate;
        String[] keyNames = redisKey.keyNames;
        for (String keyName : keyNames) {
            String param = params.get(keyName);
            param = param == null ? "*" : param;

            key = key.replace("{" + keyName + "}", param);
        }
        return key;
    }
}
