package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户提货订单实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_deliver_order")
@Data
public class UserDeliverOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "order_id", type = IdType.INPUT)
  private String orderId;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 收货人
   */
  @TableField("receiver")
  private String receiver;

  /**
   * 收货人电话
   */
  @TableField("tel")
  private String tel;

  /**
   * 省
   */
  @TableField("province")
  private String province;

  /**
   * 市
   */
  @TableField("city")
  private String city;

  /**
   * 区
   */
  @TableField("area")
  private String area;

  /**
   * 详细地址
   */
  @TableField("address")
  private String address;

  /**
   * 总商品数
   */
  @TableField("order_num")
  private Integer orderNum;

  /**
   * 运费
   */
  @TableField("freight_amt")
  private Integer freightAmt;

  /**
   * 备注
   */
  @TableField("memo")
  private String memo;

  /**
   * 物流ID
   */
  @TableField("delivery_id")
  private String deliveryId;

  /**
   * 物流单号
   */
  @TableField("delivery_flow_id")
  private String deliveryFlowId;

  /**
   * 订单状态;-1 已取消 0:待付款 1:待发货 2:待收货 3:已完成
   */
  @TableField("status")
  private Integer status;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
