package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户盲豆兑换订单实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_exchange_order")
@Data
public class UserExchangeOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "order_id", type = IdType.INPUT)
  private String orderId;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 商品ID
   */
  @TableField("goods_id")
  private String goodsId;

  /**
   * sku ID
   */
  @TableField("sku_id")
  private String skuId;

  /**
   * 消耗代币数
   */
  @TableField("order_coin")
  private Integer orderCoin;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
