package com.qs.mp.user.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户中奖记录实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_hit_prize")
@Data
public class UserHitPrize implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "id", type = IdType.AUTO)
  private Long id;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 购买订单ID
   */
  @TableField("order_id")
  private String orderId;

  /**
   * 购买订单明细ID
   */
  @TableField("order_item_id")
  private String orderItemId;

  /**
   * 盲票ID
   */
  @TableField("ticket_id")
  private String ticketId;

  /**
   * 奖项ID
   */
  @TableField("awards_id")
  private String awardsId;

  /**
   * 奖品ID
   */
  @TableField("prize_id")
  private String prizeId;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
