package com.qs.mp.user.domain;

import com.alibaba.fastjson.annotation.JSONField;
import com.alibaba.fastjson.serializer.SerializerFeature;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import java.io.Serializable;
import java.util.Date;
import lombok.Data;

/**
 * @describe 用户盲票订单实体类
 * @auther quanshu
 * @create 2022-03-07 20:45:43
 */
@TableName("mp_user_ticket_order")
@Data
public class UserTicketOrder implements Serializable {

  private static final long serialVersionUID = 1L;

  /**
   * 主键
   */
  @TableId(value = "order_id", type = IdType.INPUT)
  private String orderId;

  /**
   * 用户ID
   */
  @TableField("user_id")
  private Long userId;

  /**
   * 标题
   */
  @TableField("title")
  private String title;

  /**
   * 订单金额
   */
  @TableField("order_amt")
  private Integer orderAmt;

  /**
   * 优惠金额
   */
  @TableField("discount_amt")
  private Integer discountAmt;

  /**
   * 实付金额
   */
  @TableField("pay_amt")
  private Integer payAmt;

  /**
   * 盲票数量
   */
  @TableField("ticket_num")
  private Integer ticketNum;

  /**
   * 订单备注
   */
  @TableField("memo")
  private String memo;

  /**
   * 订单来源
   */
  @TableField("resource")
  private String resource;

  /**
   * 订单状态;-1 已取消 0:待付款 1:已完成
   */
  @TableField("status")
  @JSONField(serialzeFeatures = SerializerFeature.WriteEnumUsingToString)
  private UserTicketOrderStatusEnum status;

  /**
   * 创建时间
   */
  @TableField("created_time")
  private Date createdTime;

  /**
   * 更新时间
   */
  @TableField("updated_time")
  private Date updatedTime;


}
