package com.qs.mp.user.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.qs.mp.common.enums.UserTicketOrderStatusEnum;
import com.qs.mp.user.domain.UserTicketOrderItem;
import com.qs.mp.user.mapper.UserTicketOrderItemMapper;
import com.qs.mp.user.service.IUserTicketOrderItemService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import java.util.List;
import org.springframework.stereotype.Service;
import org.springframework.util.CollectionUtils;

/**
 * <p>
 * 用户盲票订单明细 服务实现类
 * </p>
 *
 * @author quanshu
 * @since 2022-03-07
 */
@Service
public class UserTicketOrderItemServiceImpl extends ServiceImpl<UserTicketOrderItemMapper, UserTicketOrderItem> implements IUserTicketOrderItemService {

  @Override
  public UserTicketOrderItem queryFinishedOrderItem(Long userId, String ticketId) {
    List<UserTicketOrderItem> itemList = getBaseMapper().listTicketOrderItemVO(new QueryWrapper<UserTicketOrderItem>().eq("t1.ticket_id", ticketId)
        .eq("t1.userId", userId).eq("t2.status", UserTicketOrderStatusEnum.FINISHED));
    if (CollectionUtils.isEmpty(itemList)) {
      return null;
    }
    return itemList.get(0);
  }
}
